export declare const testApi: {
    assets: {
        getAllAssets: import("./assets/assets.types.js").GetAllAssets;
        migrateAsset: import("./assets/assets.types.js").MigrateAsset;
        getAsset: (assetName: string | undefined) => Promise<void>;
        getAssetById: import("./assets/assets.types.js").GetAssetById;
        getAssetByName: import("./assets/assets.types.js").GetAssetByName;
    };
    auth: {
        getCurrentUser: import("./auth/auth.types.js").GetCurrentUser;
        hasAccessToSpace: import("./auth/auth.types.js").HasAccessToSpace;
    };
    components: {
        getAllComponents: import("./components/components.types.js").GetAllComponents;
        getComponent: import("./components/components.types.js").GetComponent;
        getAllComponentsGroups: import("./components/components.types.js").GetAllComponentsGroups;
        createComponentsGroup: import("./components/components.types.js").CreateComponentsGroup;
        getComponentsGroup: import("./components/components.types.js").GetComponentsGroup;
        removeComponentGroup: import("./components/components.types.js").RemoveComponentGroup;
        removeComponent: import("./components/components.types.js").RemoveComponent;
        updateComponent: import("./components/components.types.js").UpdateComponent;
        createComponent: import("./components/components.types.js").CreateComponent;
    };
    datasources: {
        createDatasource: import("./datasources/datasources.types.js").CreateDatasource;
        getDatasource: import("./datasources/datasources.types.js").GetDatasource;
        getAllDatasources: import("./datasources/datasources.types.js").GetAllDatasources;
        syncDatasources: import("./datasources/datasources.types.js").SyncDatasources;
        updateDatasource: import("./datasources/datasources.types.js").UpdateDatasource;
    };
    plugins: {
        getAllPlugins: import("./plugins/plugins.types.js").GetAllPlugins;
        getPlugin: import("./plugins/plugins.types.js").GetPlugin;
        updatePlugin: import("./plugins/plugins.types.js").UpdatePlugin;
        createPlugin: import("./plugins/plugins.types.js").CreatePlugin;
        getPluginDetails: import("./plugins/plugins.types.js").GetPluginDetails;
        syncProvidedPlugins: import("./plugins/plugins.types.js").SyncProvidedPlugins;
    };
    presets: {
        getComponentPresets: (componentName: string | undefined, config: import("./utils/request.js").RequestBaseConfig) => Promise<false | any[]>;
        getPreset: import("./presets/presets.types.js").GetPresetById;
        createPreset: (p: any, config: import("./utils/request.js").RequestBaseConfig) => Promise<any>;
        getAllPresets: (config: import("./utils/request.js").RequestBaseConfig) => Promise<any[]>;
        updatePreset: import("./presets/presets.types.js").UpdatePreset;
        updatePresets: import("./presets/presets.types.js").UpdatePresets;
    };
    roles: {
        createRole: import("./roles/roles.types.js").CreateRole;
        getRole: import("./roles/roles.types.js").GetRole;
        getAllRoles: import("./roles/roles.types.js").GetAllRoles;
        syncRoles: import("./roles/roles.types.js").SyncRoles;
        updateRole: import("./roles/roles.types.js").UpdateRole;
    };
    stories: {
        createStory: import("./stories/stories.types.js").CreateStory;
        updateStory: import("./stories/stories.types.js").UpdateStory;
        getStoryById: import("./stories/stories.types.js").GetStoryById;
        removeStory: import("./stories/stories.types.js").RemoveStory;
        getStoryBySlug: import("./stories/stories.types.js").GetStoryBySlug;
        updateStories: import("./stories/stories.types.js").UpdateStories;
        getAllStories: import("./stories/stories.types.js").GetAllStories;
        removeAllStories: import("./stories/stories.types.js").RemoveAllStories;
        upsertStory: import("./stories/stories.types.js").UpsertStory;
        backupStories: import("./stories/stories.types.js").BackupStories;
    };
    spaces: {
        getAllSpaces: import("./spaces/spaces.types.js").GetAllSpaces;
        getSpace: import("./spaces/spaces.types.js").GetSpace;
        updateSpace: import("./spaces/spaces.types.js").UpdateSpace;
    };
};
