import Logger from "../../utils/logger.js";
export const getAllItemsWithPagination = async ({ apiFn, params, itemsKey, }) => {
    const per_page = 100;
    const allItems = [];
    let page = 1;
    let totalPages;
    let amountOfFetchedItems = 0;
    do {
        const response = await apiFn({ per_page, page, ...params });
        if (!totalPages) {
            totalPages = Math.ceil(response.total / response.perPage);
        }
        amountOfFetchedItems +=
            response.total - amountOfFetchedItems > per_page
                ? per_page
                : response.total - amountOfFetchedItems;
        Logger.success(`${amountOfFetchedItems} of ${response.total} items fetched.`);
        allItems.push(...response.data[itemsKey]);
        page++;
    } while (page <= totalPages);
    return allItems;
};
