import type StoryblokClient from "storyblok-js-client";
import { SCHEMA } from "./helper.js";
type SchemaType = (typeof SCHEMA)[keyof typeof SCHEMA];
export { SCHEMA };
export interface IStoryblokConfig {
    storyblokComponentsLocalDirectory: string;
    sbmigWorkingDirectory: string;
    presetsBackupDirectory: string;
    storiesBackupDirectory: string;
    componentsDirectories: string[];
    awsBucketData: {
        bucketName: string;
        s3Url: `s3://${string}`;
        httpUrl: `https://${string}`;
    };
    metadataSelection: Record<string, any>;
    contentHubOriginUrl: string;
    contentHubAuthorizationToken: string;
    schemaFileExt: "sb.cjs" | "sb.js";
    datasourceExt: string;
    rolesExt: string;
    storiesExt: string;
    migrationConfigExt: string;
    storyblokApiUrl: string;
    storyblokDeliveryApiUrl: string;
    storyblokGraphqlApiUrl: string;
    oauthToken: string;
    spaceId: string;
    accessToken: string;
    boilerplateSpaceId: string;
    schemaType: SchemaType;
    flushCache: boolean;
    cacheDir: string;
    debug: boolean;
    rateLimit: number;
    sbApi?: () => StoryblokClient | StoryblokClient;
}
declare const _default: IStoryblokConfig;
export default _default;
