import chalk from "chalk";
export default class Logger {
    static log(content) {
        console.log(content);
    }
    static success(content) {
        console.log(chalk.green(`✓ ${content}`));
    }
    static warning(content) {
        console.log(chalk.yellow(`! ${content}`));
    }
    static error(content, { verbose } = { verbose: false }) {
        if (verbose) {
            console.log(content);
        }
        else {
            console.log(chalk.red(`✘ ${content}`));
        }
    }
    static upload(content) {
        console.log(chalk.blue(`↑ ${content}`));
    }
    static download(content) {
        console.log(chalk.yellow(`↓ ${content}`));
    }
}
