export declare const mainDescription = "\n    USAGE\n      $ sb-mig [command]\n    \n    COMMANDS\n        sync      Synchronize components, datasources, roles, stories, assets with Storyblok space.\n        discover  Discover components and write to file or stdout.\n        backup    Command for backing up anything related to Storyblok\n        migrate   Migrate content from space to space, or from file to space.\n        debug     Output extra debugging information\n        help      This screen\n    \n    Examples\n      $ sb-mig sync components --all\n      $ sb-mig debug  \n";
export declare const syncDescription = "\n    Usage\n        $ sb-mig sync [components|roles|datasources|plugins|content] [space separated file names] or --all\n        \n    Description\n        Synchronize components, roles, datasources, plugins, content with Storyblok space.\n        \n    COMMANDS\n        components      - sync components\n        roles           - sync roles\n        datasources     - sync datasources\n        plugins         - sync plugins\n        content         - sync content (stories, assets) - ! right now destructive, it will move content from 1 space to another, completelly overwriting it\n     \n    FLAGS\n        --all           - Sync all components, roles, datasources                            [components, roles, datasources]\n        --presets       - Pass it, if u want to sync also with presets (will take longer)    [components only]\n        \n        --yes           - Skip ask for confirmation (dangerous, but useful in CI/CD)         [content only]\n        --from          - Space ID from which you want to sync content                       [content only]\n        --to            - Space ID to which you want to sync content                         [content only]\n        --syncDirection [fromSpaceToFile|fromFileToSpace|fromSpaceToSpace|fromAWStoSpace]               \n                        - Sync direction (from, to)                                          [content only]\n    \n    EXAMPLES\n        $ sb-mig sync components --all\n        $ sb-mig sync components --all --presets\n        $ sb-mig sync components accordion accordion-item\n        $ sb-mig sync components accordion accordion-item --presets\n        \n        $ sb-mig sync roles --all\n        \n        $ sb-mig sync datasources --all\n        \n        $ sb-mig sync plugins my-awesome-plugin - (you have to be in catalog which has ./dist/export.js file with compiled plugin)\n        \n        $ sb-mig sync content --all --from 12345 --to 12345\n        $ sb-mig sync content --stories --from 12345 --to 12345\n        $ sb-mig sync content --assets --from 12345 --to 12345\n";
export declare const migrateDescription = "\n    Usage\n        $ sb-mig migrate [content] [space separated file names] or --all --from [spaceId] --to [spaceId] --migration [migration-config-filename]\n        \n    Description\n        Migrate content from space to space, or from file to space. It's potentially dangerous command, so it will ask for confirmation.\n        Use with care.\n        \n    COMMANDS\n        content           - migrate content \n     \n    FLAGS\n        --from            - Space ID from which you want to migrate / or file name if passed '--migrate-from file'\n        --to              - Space ID to which you want to migrate\n        --migrate-from    - Migrate from (space, file) default: space\n        --migration       - File name of migration file (without extension)\n        --yes             - Skip ask for confirmation (dangerous, but useful in CI/CD) \n    \n    EXAMPLES\n        $ sb-mig migrate content --all --from 12345 --to 12345 --migration file-with-migration\n        $ sb-mig migrate content --all --migrate-from file --from file-with-stories --to 12345 --migration file-with-migration\n        $ sb-mig migrate content my-component-1 my-component-2 --from 12345 --to 12345 --migration file-with-migration\n        $ sb-mig migrate content my-component-1 my-component-2 --migrate-from file --from file-with-stories --to 12345 --migration file-with-migration        \n";
export declare const revertDescription = "\n    Usage\n        $ sb-mig revert [content] --migration\n        \n    Description\n        Revert content migration\n        \n    COMMANDS\n        content           - revert content migration \n     \n    FLAGS\n        --migration       - ???\n        --yes             - Skip ask for confirmation (dangerous, but useful in CI/CD) \n    \n    EXAMPLES\n        $ sb-mig revert content --migration        \n";
export declare const discoverDescription = "\n    Usage\n        $ sb-mig discover [components] --all --write\n        \n    Description\n        Discover all component and write to file or stdout\n        \n    COMMANDS\n        components     - discover components\n     \n    FLAGS\n        --all          - Discover all components\n        --write        - Write to file \n    \n    EXAMPLES\n        $ sb-mig discover components --all\n        $ sb-mig discover components --all -- write\n";
export declare const migrationsDescription = "\n    Usage\n        $ sb-mig migrations recognize\n        \n    Description\n        Recognize migrations you need to apply\n        \n    COMMANDS\n        recognize      - recognize migrations\n     \n    FLAGS \n    \n    EXAMPLES\n        $ sb-mig migrations recognize\n\n";
export declare const removeDescription = "\n    Usage\n        $ sb-mig remove [components|roles|datasources] [space separated file names] or --all \n        \n    Description\n        Remove components or roles with Storyblok space.\n        \n    COMMANDS\n        components     - remove components\n        roles          - remove roles\n        datasources    - remove datasources\n     \n    FLAGS\n        --all          - Remove all components \n    \n    EXAMPLES\n        $ sb-mig remove components --all\n        $ sb-mig remove components accordion accordion-item\n        $ sb-mig remove roles --all\n        $ sb-mig remove datasources --all\n";
export declare const backupDescription = "\n    Usage\n        $ sb-mig backup [components|component-groups|roles|datasources|presets|component-presets] component-name or --all\n    Description\n        Command for backing up anything related to Storyblok\n        \n    COMMANDS\n        components        - backup components\n        component-groups  - backup component-groups\n        roles             - backup components\n        datasources       - backup components\n        presets           - backup presets\n        component-presets - backup component presets\n        plugins           - backup plugins\n        stories           - backup stories (only --all)\n\n     \n    FLAGS\n        --all   - Backup all \n    \n    EXAMPLES\n        $ sb-mig backup components --all\n        $ sb-mig backup components accordion  \n        $ sb-mig backup datasources --all\n        $ sb-mig backup roles admin\n        $ sb-mig backup plugins --all\n        $ sb-mig backup plugins my-awesome-plugin\n        $ sb-mig backup stories --all\n";
export declare const debugDescription = "\n    Usage\n        $ sb-mig debug\n    Description\n        Output extra debugging information\n";
export declare const initDescription = "\n    Usage\n        $ sb-mig init\n    Description\n        Init and update your project\n";
